For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet lifecycle trends
      • GETGet instance information
      • POSTSend Unleash feedback
      • GETGet UI configuration
      • POSTSets allowed CORS origins
      • PUTUpdate Unleash feedback
      • POSTUpdate splash settings
      • POSTAccepts errors from the UI client

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIAdmin UI

Update splash settings

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/splash/:id
POST
/api/admin/splash/:id
$curl -X POST https://app.unleash-instance.example.com/api/admin/splash/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "userId": 42,
> "splashId": "welcome-tour-2024",
> "seen": true
>}'
1{
2 "userId": 42,
3 "splashId": "welcome-tour-2024",
4 "seen": true
5}
This operation updates splash settings for a user, indicating that they have seen a particualar splash screen.
Was this page helpful?
Previous

Accepts errors from the UI client

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

idstringRequired

Response

splashResponseSchema
userIdinteger
The ID of the user that was shown the splash screen.
splashIdstring
The ID of the splash screen that was shown.
seenboolean
Indicates whether the user has seen the splash screen or not.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
415
Unsupported Media Type Error